Subject: bug#9397: lib-src integer and memory overflow issues

From: Paul Eggert <[email-masked]>
Date: Mon, 29 Aug 2011 10:27:41 -0700

On 08/29/11 08:59, Stefan Monnier wrote:
>> Here's an example bug fixed by the patch: "ctags -u -o FOO *.c"
>> crashes on Fedora 14 x86-64 if the file name FOO is longer than 8192
>> bytes.
> 
> At least on my GNU/Linux system, "grep PATH.\*MAX /usr/include/**/*.h"
> seems to suggest that file names longer than 4096 are not supported ;-)

Yes, point taken.  However, ctags cannot assume that BUFSIZ is greater
than PATH_MAX on all systems, as that assumption is not true everywhere.
And even on your GNU/Linux system, ctags should not dump core
merely because FOO's name is so long that FOO can't be opened.